=== debian/control ===
Source: kpim6-messagelib
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               git,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-notes-dev,
               kpim6-akonadi-search-dev,
               kpim6-grantleetheme-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkleo-dev,
               kpim6-pimcommon-dev,
               libcups2-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libqca-qt6-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/messagelib.git
Vcs-Browser: https://invent.kde.org/neon/kde/messagelib
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-messagelib
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6messagecomposer6abi2,
          libkpim6messagecore6abi1,
          libkpim6messagelist6abi1,
          libkpim6messageviewer6abi5,
          libkpim6mimetreeparser6abi1,
          libkpim6templateparser6abi1,
          libkpim6webengineviewer6abi1
Replaces: kf5-messagelib-data,
          kf6-messagelib-data,
          libkf5messagecomposer5,
          libkf5messagecomposer5abi2,
          libkf5messagecore5,
          libkf5messagecore5abi1,
          libkf5messagelist5,
          libkf5messagelist5abi1,
          libkf5messageviewer-plugins,
          libkf5messageviewer5,
          libkf5messageviewer5abi5,
          libkf5mimetreeparser5,
          libkf5mimetreeparser5abi1,
          libkf5templateparser5,
          libkf5templateparser5abi1,
          libkf5webengineviewer5,
          libkf5webengineviewer5abi1,
          libkpim6messagecomposer6,
          libkpim6messagecomposer6abi2,
          libkpim6messagecore6,
          libkpim6messagecore6abi1,
          libkpim6messagelist6,
          libkpim6messagelist6abi1,
          libkpim6messageviewer-plugins,
          libkpim6messageviewer6,
          libkpim6messageviewer6abi5,
          libkpim6mimetreeparser6,
          libkpim6mimetreeparser6abi1,
          libkpim6templateparser6,
          libkpim6templateparser6abi1,
          libkpim6webengineviewer6,
          libkpim6webengineviewer6abi1
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: kpim6-messagelib-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-kidentitymanagement-dev,
         kpim6-kmime-dev,
         kpim6-libkleo-dev,
         kpim6-messagelib (= ${binary:Version}),
         kpim6-pimcommon-dev,
         qt6-webengine-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5messagecomposer5-dev,
          libkf5messagecore5-dev,
          libkf5messagelist5-dev,
          libkf5messageviewer5-dev,
          libkf5mimetreeparser5-dev,
          libkf5templateparser5-dev,
          libkf5webengineviewer5-dev,
          libkpim6messagecomposer6-dev,
          libkpim6messagecore6-dev,
          libkpim6messagelist6-dev,
          libkpim6messageviewer6-dev,
          libkpim6mimetreeparser6-dev,
          libkpim6templateparser6-dev,
          libkpim6webengineviewer6-dev
Description: KDE PIM messaging library, devel files
 This package contains the development files for the message manipulation
 libraries.
 .
 This package is part of KDE PIM module.

Package: kpim6-messagelib-data
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecomposer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecomposer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecore6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagecore-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagelist6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messagelist-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6messageviewer-plugins
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6templateparser6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6templateparser-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mimetreeparser6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mimetreeparser-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6webengineviewer6
Architecture: all
Depends: kpim6-messagelib, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6webengineviewer-dev
Architecture: all
Depends: kpim6-messagelib-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
