## kpim6-messagelib 25.08.1

=== debian/changelog ===
kpim6-messagelib (4:25.08.1-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 14:28:20 +0000

kpim6-messagelib (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:17:30 +0000
