## kpim6-messagelib 25.08.1+p24.04+vstable+git20250926.1109

=== debian/changelog ===
kpim6-messagelib (4:25.08.1+p24.04+vstable+git20250926.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:09:52 +0000
