## kpim6-messagelib 25.08.2

=== debian/changelog ===
kpim6-messagelib (4:25.08.2-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:05:26 +0000

kpim6-messagelib (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:58:46 +0000
