## kpim6-messagelib 25.08.2+p24.04+vstable+git20251017.0815

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251017.0815-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:15:44 +0000
