=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                kf6-kxmlgui-dev,
                kpim6-akonadi-dev,
                kpim6-akonadi-mime-dev,
-               kpim6-akonadi-notes-dev,
                kpim6-akonadi-search-dev,
                kpim6-grantleetheme-dev,
                kpim6-kidentitymanagement-dev,
