## kpim6-messagelib 25.08.2+p24.04+vstable+git20251019.0810

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251019.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:10:40 +0000
