## kpim6-messagelib 25.08.2+p24.04+vstable+git20251022.0052

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251022.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:52:49 +0000
