## kpim6-messagelib 25.08.2+p24.04+vstable+git20251028.1038

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vstable+git20251028.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:38:15 +0000
