=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251011.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 10:57:25 +0000
