## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251015.1952

=== CMakeLists.txt ===
--- 
+++ 
@@ -91,7 +91,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(KTEXTADDONS_MIN_VERSION "1.7.1")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -176,7 +176,7 @@
 
 find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)
 
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
