## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251020.0650

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251020.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:50:53 +0000
