## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251021.0058

=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251021.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 00:58:15 +0000
