## kpim6-messagelib 25.08.2+p24.04+vunstable+git20251022.0155

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
