=== debian/changelog ===
kpim6-messagelib (4:25.08.2+p24.04+vunstable+git20251022.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:55:39 +0000
