## kpim6-messagelib 25.08.3

=== debian/changelog ===
kpim6-messagelib (4:25.08.3-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:58:08 +0000

kpim6-messagelib (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:21 +1000
