## kpim6-messagelib 25.08.3+p24.04+vstable+git20251204.0212

=== debian/changelog ===
kpim6-messagelib (4:25.08.3+p24.04+vstable+git20251204.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:12:17 +0000
